## Functions

### gst_video_blend

    gboolean
    gst_video_blend (GstVideoFrame * dest,
                     GstVideoFrame * src,
                     gint x,
                     gint y,
                     gfloat global_alpha)

Lets you blend the src image into the dest image

Parameters:

`dest` –

The GstVideoFrame where to blend src in

`src` –

the GstVideoFrame that we want to blend into

`x` –

The x offset in pixel where the src image should be blended

`y` –

the y offset in pixel where the src image should be blended

`global_alpha` –

the global_alpha each per-pixel alpha value is multiplied with

Returns –
No description available

### GstVideo.prototype.video_blend

    function GstVideo.prototype.video_blend(dest: GstVideo.VideoFrame, src: GstVideo.VideoFrame, x: Number, y: Number, global_alpha: Number): {
        // javascript wrapper for 'gst_video_blend'
    }

Lets you blend the src image into the dest image

Parameters:

`dest` (GstVideo.VideoFrame) –

The GstVideo.VideoFrame where to blend src in

`src` (GstVideo.VideoFrame) –

the GstVideo.VideoFrame that we want to blend into

`x` (Number) –

The x offset in pixel where the src image should be blended

`y` (Number) –

the y offset in pixel where the src image should be blended

`global_alpha` (Number) –

the global_alpha each per-pixel alpha value is multiplied with

Returns (Number) –
No description available

### GstVideo.video_blend

    def GstVideo.video_blend (dest, src, x, y, global_alpha):
        #python wrapper for 'gst_video_blend'

Lets you blend the src image into the dest image

Parameters:

`dest` (GstVideo.VideoFrame) –

The GstVideo.VideoFrame where to blend src in

`src` (GstVideo.VideoFrame) –

the GstVideo.VideoFrame that we want to blend into

`x` (int) –

The x offset in pixel where the src image should be blended

`y` (int) –

the y offset in pixel where the src image should be blended

`global_alpha` (float) –

the global_alpha each per-pixel alpha value is multiplied with

Returns (bool) –
No description available

### gst_video_blend_scale_linear_RGBA

    gst_video_blend_scale_linear_RGBA (GstVideoInfo * src,
                                       GstBuffer * src_buffer,
                                       gint dest_height,
                                       gint dest_width,
                                       GstVideoInfo * dest,
                                       GstBuffer ** dest_buffer)

Scales a buffer containing RGBA (or AYUV) video. This is an internal helper function which is used to scale subtitle overlays, and may be deprecated in the near future. Use GstVideoScaler to scale video buffers instead.

Parameters:

`src` –

the GstVideoInfo describing the video data in src_buffer

`src_buffer` –

the source buffer containing video pixels to scale

`dest_height` –

the height in pixels to scale the video data in src_buffer to

`dest_width` –

the width in pixels to scale the video data in src_buffer to

`dest` ( [out]) –

pointer to a GstVideoInfo structure that will be filled in with the details for dest_buffer

`dest_buffer` ( [out]) –

a pointer to a GstBuffer variable, which will be set to a newly-allocated buffer containing the scaled pixels.

### GstVideo.prototype.video_blend_scale_linear_RGBA

    function GstVideo.prototype.video_blend_scale_linear_RGBA(src: GstVideo.VideoInfo, src_buffer: Gst.Buffer, dest_height: Number, dest_width: Number): {
        // javascript wrapper for 'gst_video_blend_scale_linear_RGBA'
    }

Scales a buffer containing RGBA (or AYUV) video. This is an internal helper function which is used to scale subtitle overlays, and may be deprecated in the near future. Use GstVideo.VideoScaler to scale video buffers instead.

Parameters:

`src` (GstVideo.VideoInfo) –

the GstVideo.VideoInfo describing the video data in src_buffer

`src_buffer` (Gst.Buffer) –

the source buffer containing video pixels to scale

`dest_height` (Number) –

the height in pixels to scale the video data in src_buffer to

`dest_width` (Number) –

the width in pixels to scale the video data in src_buffer to

### GstVideo.video_blend_scale_linear_RGBA

    def GstVideo.video_blend_scale_linear_RGBA (src, src_buffer, dest_height, dest_width):
        #python wrapper for 'gst_video_blend_scale_linear_RGBA'

Scales a buffer containing RGBA (or AYUV) video. This is an internal helper function which is used to scale subtitle overlays, and may be deprecated in the near future. Use GstVideo.VideoScaler to scale video buffers instead.

Parameters:

`src` (GstVideo.VideoInfo) –

the GstVideo.VideoInfo describing the video data in src_buffer

`src_buffer` (Gst.Buffer) –

the source buffer containing video pixels to scale

`dest_height` (int) –

the height in pixels to scale the video data in src_buffer to

`dest_width` (int) –

the width in pixels to scale the video data in src_buffer to

The results of the search are